<?php

/**
 * @file timetrackings_overview.views.inc
 */

$view = new view;
$view->name = 'timetrackings_overview';
$view->description = 'A view to display all timetrackings';
$view->tag = '';
$view->view_php = '';
$view->base_table = 'node';
$view->is_cacheable = FALSE;
$view->api_version = 2;
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Standards', 'default');
$handler->override_option('fields', array(
  'trackingdate' => array(
    'label' => 'Timetracking Tracking Date',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'date_format' => 'custom',
    'custom_date_format' => 'Y-m-d',
    'exclude' => 0,
    'id' => 'trackingdate',
    'table' => 'stormtimetracking',
    'field' => 'trackingdate',
    'relationship' => 'none',
  ),
  'timebegin' => array(
    'label' => 'Timetracking Time Begin',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'timebegin',
    'table' => 'stormtimetracking',
    'field' => 'timebegin',
    'relationship' => 'none',
  ),
  'timeend' => array(
    'label' => 'Timetracking Time End',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'timeend',
    'table' => 'stormtimetracking',
    'field' => 'timeend',
    'relationship' => 'none',
  ),
  'duration' => array(
    'label' => 'Timetracking Duration in hours',
    'alter' => array(
      'alter_text' => 1,
      'text' => '[duration] hours',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'duration',
    'table' => 'stormtimetracking',
    'field' => 'duration',
    'relationship' => 'none',
  ),
  'billing_duration' => array(
    'label' => 'Timetracking Billing Duration in hours',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'billing_duration',
    'table' => 'stormtimetracking',
    'field' => 'billing_duration',
    'relationship' => 'none',
  ),
  'billable' => array(
    'label' => 'Timetracking Billable',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => 'Nein',
    'hide_empty' => 0,
    'empty_zero' => 1,
    'exclude' => 0,
    'id' => 'billable',
    'table' => 'stormtimetracking',
    'field' => 'billable',
    'relationship' => 'none',
  ),
  'billed' => array(
    'label' => 'Timetracking Billed',
    'alter' => array(
      'alter_text' => 0,
      'text' => 'Ja',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => 'Nein',
    'hide_empty' => 0,
    'empty_zero' => 1,
    'exclude' => 0,
    'id' => 'billed',
    'table' => 'stormtimetracking',
    'field' => 'billed',
    'relationship' => 'none',
  ),
  'title' => array(
    'label' => 'Titel',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 1,
    'exclude' => 0,
    'id' => 'title',
    'table' => 'node',
    'field' => 'title',
    'relationship' => 'none',
  ),
  'ticket_nid' => array(
    'label' => 'Timetracking Ticket Node ID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'ticket_nid',
    'table' => 'stormtimetracking',
    'field' => 'ticket_nid',
    'relationship' => 'none',
  ),
  'ticket_title' => array(
    'label' => 'Timetracking Ticket Title',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 1,
      'path' => 'node/[ticket_nid]',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'ticket_title',
    'table' => 'stormtimetracking',
    'field' => 'ticket_title',
    'relationship' => 'none',
  ),
  'task_nid' => array(
    'label' => 'Timetracking Task Node ID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'task_nid',
    'table' => 'stormtimetracking',
    'field' => 'task_nid',
    'relationship' => 'none',
  ),
  'task_title' => array(
    'label' => 'Timetracking Task Title',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 1,
      'path' => 'node/[task_nid]',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'task_title',
    'table' => 'stormtimetracking',
    'field' => 'task_title',
    'relationship' => 'none',
  ),
  'project_nid' => array(
    'label' => 'Timetracking Project Node ID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'project_nid',
    'table' => 'stormtimetracking',
    'field' => 'project_nid',
    'relationship' => 'none',
  ),
  'project_title' => array(
    'label' => 'Timetracking Project Title',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 1,
      'path' => 'node/[project_nid]',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'project_title',
    'table' => 'stormtimetracking',
    'field' => 'project_title',
    'relationship' => 'none',
  ),
  'organization_nid' => array(
    'label' => 'Timetracking Organization Node ID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 1,
      'path' => 'node/[organization_nid]',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'organization_nid',
    'table' => 'stormtimetracking',
    'field' => 'organization_nid',
    'relationship' => 'none',
  ),
  'organization_title' => array(
    'label' => 'Timetracking Organization Title',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 1,
      'path' => 'node/[organization_nid]',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'organization_title',
    'table' => 'stormtimetracking',
    'field' => 'organization_title',
    'relationship' => 'none',
  ),
));
$handler->override_option('sorts', array(
  'trackingdate' => array(
    'order' => 'DESC',
    'granularity' => 'minute',
    'id' => 'trackingdate',
    'table' => 'stormtimetracking',
    'field' => 'trackingdate',
    'relationship' => 'none',
  ),
  'timebegin' => array(
    'order' => 'DESC',
    'id' => 'timebegin',
    'table' => 'stormtimetracking',
    'field' => 'timebegin',
    'relationship' => 'none',
  ),
  'organization_title' => array(
    'order' => 'DESC',
    'id' => 'organization_title',
    'table' => 'stormtimetracking',
    'field' => 'organization_title',
    'relationship' => 'none',
  ),
  'project_title' => array(
    'order' => 'DESC',
    'id' => 'project_title',
    'table' => 'stormtimetracking',
    'field' => 'project_title',
    'relationship' => 'none',
  ),
  'task_title' => array(
    'order' => 'DESC',
    'id' => 'task_title',
    'table' => 'stormtimetracking',
    'field' => 'task_title',
    'relationship' => 'none',
  ),
  'ticket_title' => array(
    'order' => 'DESC',
    'id' => 'ticket_title',
    'table' => 'stormtimetracking',
    'field' => 'ticket_title',
    'relationship' => 'none',
  ),
));
$handler->override_option('arguments', array(
  'organization_nid' => array(
    'default_action' => 'ignore',
    'style_plugin' => 'default_summary',
    'style_options' => array(),
    'wildcard' => 'all',
    'wildcard_substitution' => 'Alle',
    'title' => '',
    'breadcrumb' => '',
    'default_argument_type' => 'fixed',
    'default_argument' => '',
    'validate_type' => 'none',
    'validate_fail' => 'not found',
    'break_phrase' => 1,
    'not' => 0,
    'id' => 'organization_nid',
    'table' => 'stormtimetracking',
    'field' => 'organization_nid',
    'validate_user_argument_type' => 'uid',
    'validate_user_roles' => array(
      '2' => 0,
      '7' => 0,
      '3' => 0,
      '9' => 0,
      '14' => 0,
      '10' => 0,
      '12' => 0,
      '4' => 0,
      '13' => 0,
      '8' => 0,
    ),
    'relationship' => 'none',
    'default_options_div_prefix' => '',
    'default_argument_fixed' => '',
    'default_argument_user' => 0,
    'default_argument_image_size' => '_original',
    'default_argument_php' => '',
    'validate_argument_node_type' => array(
      'profitcenter' => 0,
      'purchase_requisition' => 0,
      'image' => 0,
      'stormexpense' => 0,
      'storminvoice' => 0,
      'stormknowledgebase' => 0,
      'stormnote' => 0,
      'stormorganization' => 0,
      'stormperson' => 0,
      'stormproject' => 0,
      'stormtask' => 0,
      'stormteam' => 0,
      'stormticket' => 0,
      'stormtimetracking' => 0,
      'forum' => 0,
      'bargain' => 0,
      'datasheet' => 0,
      'event' => 0,
      'page' => 0,
    ),
    'validate_argument_node_access' => 0,
    'validate_argument_nid_type' => 'nid',
    'validate_argument_vocabulary' => array(
      '6' => 0,
      '1' => 0,
      '8' => 0,
      '7' => 0,
      '2' => 0,
      '5' => 0,
    ),
    'validate_argument_type' => 'tid',
    'validate_argument_transform' => 0,
    'validate_user_restrict_roles' => 0,
    'image_size' => array(
      '_original' => '_original',
      'thumbnail' => 'thumbnail',
      'preview' => 'preview',
    ),
    'validate_argument_php' => '',
  ),
));
$handler->override_option('filters', array(
  'type' => array(
    'operator' => 'in',
    'value' => array(
      'stormtimetracking' => 'stormtimetracking',
    ),
    'group' => '0',
    'exposed' => FALSE,
    'expose' => array(
      'operator' => FALSE,
      'label' => '',
    ),
    'id' => 'type',
    'table' => 'node',
    'field' => 'type',
    'relationship' => 'none',
  ),
));
$handler->override_option('access', array(
  'type' => 'none',
));
$handler->override_option('cache', array(
  'type' => 'none',
));
$handler->override_option('items_per_page', 0);
$handler->override_option('use_pager', '1');
$handler->override_option('use_more', 1);
$handler->override_option('use_more_text', 'Weiter');
$handler->override_option('style_plugin', 'table');
$handler->override_option('style_options', array(
  'grouping' => '',
  'override' => 1,
  'sticky' => 1,
  'order' => 'desc',
  'columns' => array(
    'trackingdate' => 'trackingdate',
    'timebegin' => 'timebegin',
    'timeend' => 'timeend',
    'organization_nid' => 'organization_nid',
    'organization_title' => 'organization_title',
    'project_title' => 'project_title',
    'task_title' => 'task_title',
    'ticket_title' => 'ticket_title',
    'title' => 'title',
    'duration' => 'duration',
    'billable' => 'billable',
    'billing_duration' => 'billing_duration',
    'billed' => 'billed',
  ),
  'info' => array(
    'trackingdate' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'timebegin' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'timeend' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'organization_nid' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'organization_title' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'project_title' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'task_title' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'ticket_title' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'title' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'duration' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'billable' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'billing_duration' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'billed' => array(
      'sortable' => 1,
      'separator' => '',
    ),
  ),
  'default' => 'trackingdate',
));
$handler = $view->new_display('page', 'Seite', 'page_1');
$handler->override_option('path', 'storm/views/timetrackings');
$handler->override_option('menu', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));
$handler->override_option('tab_options', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));
$handler = $view->new_display('feed', 'Newsfeed', 'feed_1');
$handler->override_option('style_plugin', 'views_xls');
$handler->override_option('style_options', array(
  'mission_description' => FALSE,
  'description' => '',
));
$handler->override_option('row_plugin', '');
$handler->override_option('path', 'storm/views/export/timetrackings.xls');
$handler->override_option('menu', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));
$handler->override_option('tab_options', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));
$handler->override_option('displays', array(
  'page_1' => 'page_1',
  'default' => 0,
));
$handler->override_option('sitename_title', FALSE);
